#ifndef PANEL_H_
#define PANEL_H_

#include "gType.h" 
#include "GraphLow.h"
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"


//aPanel without anything
class TPanel{
	public:
		u32 BorderWidth;
		u32 BorderColor;
		u32 Color;
	
		TPoint OwnerLeftTop; //ParrentLeftTop;
		TRect Bound;	
		TRect Content;
	
		TBvStyle BevelOuter;
		
	public:
		TPanel(){};
		TPanel(int aX, int aY, int aW, int aH, int OwnerX, int OwnerY, u32 aColor, TBvStyle aBevelOuter){
			Init(aX, aY, aW, aH, OwnerX, OwnerY, aColor, aBevelOuter);
		}
		void Init(int aX, int aY, int aW, int aH, int OwnerX, int OwnerY,  u32 aColor, TBvStyle aBevelOuter);
		void DrawSelf(void);
		void Show(void);
		

		
};




#endif

